% A wrapper for function TPXO2ROMS_v4pt0
%MM, MF, MN4, and MS4 (the 1/6 degree resolution harmonics) all look a bit suss in TPXO8

%t0 can be any time of day not necessarily 00:00 
%lengthSim is the approximate anticipated length of model run (days) (f & u are computed at mid-point).
%fnGrid is your ROMS grid file.
%fnOut is the new netcdf file. If it already exists it will be clobbered.
%TPXO2ROMS will write to fnOut.
%The available choices for ROMSnames are:  'MM' 'MF' 'Q1' 'O1' 'P1' 'K1' 'N2' 'M2' 'S2' 'K2' 'MN4' 'M4' 'MS4'
%For example, use ROMSnames={'M2' 'S2' 'MM'}; to use M2, S2, and MM only

%Modify the following. 
t0=datenum(2010,7,1,0,0,0);         
lengthSim=365;     
fnGrid='C:\UserData\MODELS\myroms\Projects\SAROM\DATA\SAROM_C_grd.nc';
fnOut='C:\UserData\MODELS\myroms\Projects\SAROM\DATA\frc_TPXO_C_01Jul2010.nc';
ROMSnames={'Q1' 'O1' 'P1' 'K1' 'N2' 'M2' 'S2' 'K2' 'M4'};  
%ROMSnames={'MM' 'MF' 'Q1' 'O1' 'P1' 'K1' 'N2' 'M2' 'S2' 'K2' 'MN4' 'M4' 'MS4'};  

%Check
if exist(fnOut,'file');
    error('File fnOut exists - must delete it or modify fnOut filename.')
end

%Invoke
TPXO2ROMS_v4pt0(t0,ROMSnames,fnGrid,fnOut,lengthSim)

%Say goodbye
disp('May all our differences be finite')
